<?php

namespace App\Services;

use Illuminate\Support\Str;

class Haiku
{
    protected $adjectives = [
        'Adamant',
        'Adroit',
        'Amatory',
        'Animistic',
        'Antic',
        'Arcadian',
        'Baleful',
        'Bellicose',
        'Bilious',
        'Boorish',
        'Calamitous',
        'Caustic',
        'Cerulean',
        'Comely',
        'Concomitant',
        'Contumacious',
        'Corpulent',
        'Crapulous',
        'Defamatory',
        'Didactic',
        'Dilatory',
        'Dowdy',
        'Efficacious',
        'Effulgent',
        'Egregious',
        'Endemic',
        'Equanimous',
        'Execrable',
        'Fastidious',
        'Feckless',
        'Fecund',
        'Friable',
        'Fulsome',
        'Garrulous',
        'Guileless',
        'Gustatory',
        'Heuristic',
        'Histrionic',
        'Hubristic',
        'Incendiary',
        'Insidious',
        'Insolent',
        'Intransigent',
        'Inveterate',
        'Invidious',
        'Irksome',
        'Jejune',
        'Jocular',
        'Judicious',
        'Lachrymose',
        'Limpid',
        'Loquacious',
        'Luminous',
        'Mannered',
        'Mendacious',
        'Meretricious',
        'Minatory',
        'Mordant',
        'Munificent',
        'Nefarious',
        'Noxious',
        'Obtuse',
        'Parsimonious',
        'Pendulous',
        'Pernicious',
        'Pervasive',
        'Petulant',
        'Platitudinous',
        'Platitudinous',
        'Propitious',
        'Puckish',
        'Querulous',
        'Quiescent',
        'Rebarbative',
        'Recalcitrant',
        'Redolent',
        'Rhadamanthine',
        'Risible',
        'Ruminative',
        'Sagacious',
        'Salubrious',
        'Sartorial',
        'Sclerotic',
        'Serpentine',
        'Spasmodic',
        'Strident',
        'Taciturn',
        'Tenacious',
        'Tremulous',
        'Trenchant',
        'Turbulent',
        'Turgid',
        'Ubiquitous',
        'Uxorious',
        'Verdant',
        'Voluble',
        'Voracious',
        'Wheedling',
        'Withering',
        'Zealous',
    ];

    protected $astronomy = [
        'alpha centauri',
        'antimatter',
        'antineutron',
        'antiquark',
        'asteroid',
        'atmosphere',
        'aurora',
        'big bang theory',
        'big dipper',
        'binary star',
        'black hole',
        'blue moon',
        'brown dwarf',
        'celestial object',
        'chromosphere',
        'cluster',
        'comet',
        'constellation',
        'cosmic dust',
        'cosmic ray',
        'dark matter',
        'deimos',
        'draco',
        'dwarf',
        'earth',
        'electromagnetic radiation',
        'electromagnetic spectrum',
        'electron',
        'exoplanet',
        'falling star',
        'fission',
        'flare star',
        'fusion',
        'galaxy',
        'gamma radiation',
        'gas giant',
        'gravity',
        'infrared',
        'ionosphere',
        'jupiter',
        'kuiper belt',
        'light',
        'light year',
        'lodestar',
        'lunary eclipse',
        'magellanic cloud',
        'magnetosphere',
        'mars',
        'mercury',
        'meteor',
        'microwave',
        'milky way',
        'moon',
        'muon',
        'nebula',
        'neptune',
        'neutrino',
        'neutron',
        'neutron star',
        'north star',
        'nova',
        'nucleus',
        'oort cloud',
        'orb',
        'orbit',
        'particle',
        'phobos',
        'photon',
        'photosphere',
        'planet',
        'plasma',
        'pluto',
        'proton',
        'pulsar',
        'pulsar',
        'quark',
        'quasar',
        'radiation',
        'radio',
        'red giant',
        'satellite',
        'saturn',
        'shooting star',
        'singularity',
        'sirius',
        'solar eclipse',
        'solar system',
        'star',
        'string theory',
        'sun',
        'sunspot',
        'supergiant',
        'supernova',
        'telescope',
        'titan',
        'uranus',
        'variable star',
        'vega',
        'venus',
        'white dwarf',
        'world',
        'x-ray',
        'zodiac',
    ];

    public function make()
    {
        $adjective = $this->getAdjective();
        $astronomy = $this->getAstronomy();

        return Str::slug($adjective.' '.$astronomy);
    }

    public function getAstronomy()
    {
        return collect($this->astronomy)->random();
    }

    public function getAdjective()
    {
        return collect($this->adjectives)->random();
    }
}